PUT Application/PutSecurityGroup
Request Information
URI Parameters
None.
Body Parameters
SecurityGroup| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| Name | string |
Required |
|
| Description | string |
None. |
|
| LogVerbosityID | integer |
Required |
|
| BlockSyncMessage | string |
None. |
|
| SyncPollingMin | integer |
Required |
|
| IsBlocked | boolean |
Required |
|
| IsCommercialWorkflow | boolean |
Required |
|
| IsDefault | boolean |
Required |
|
| PhotoID | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "54b488c0-f411-4b5f-a31b-1b9a9c3bcdcf",
"name": "sample string 2",
"description": "sample string 3",
"logVerbosityID": 4,
"blockSyncMessage": "sample string 5",
"syncPollingMin": 6,
"isBlocked": true,
"isCommercialWorkflow": true,
"isDefault": true,
"photoID": "0fdc1633-7e7d-4847-b6ed-69cc3e0f1105"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.